require 'lib/state_machine'
require 'lib/maths'
require 'lib/menu'
require 'lib/textinput'
require 'lib/tile_manager'
require 'lib/entities'

require 'src/lib_dictionary'

require 'src/guess_tray'
require 'src/game_buttons'
require 'src/chip_machine'
require 'src/timer'
require 'src/messagetext'

require 'src/state_title'
require 'src/state_highscores'
require 'src/state_play'
require 'src/state_pause'
require 'src/state_timeover'
require 'src/state_advance'

function love.load()
  love.graphics.setDefaultFilter('nearest', 'nearest')
  load_highscores()
  state_machine.push(state_title, params)
end

function love.update(dt)
  state_machine.update(dt)
end
function love.draw()
  -- Put universal draws here
  state_machine.draw()
end

-- Keyboard Inputs
function love.keypressed(key)
  state_machine.keypressed(key)
end
function love.keyreleased(key)
  state_machine.keyreleased(key)
end
function love.textinput(t)
  state_machine.textinput(t)
end

-- Mouse Functions
function love.mousemoved(x, y, dx, dy)
  state_machine.mousemoved(x, y, dx, dy)
end
function love.mousepressed(x, y, button)
  state_machine.mousepressed(x, y, button)
end
function love.mousereleased(x, y, button)
  state_machine.mousereleased(x, y, button)
end
function love.wheelmoved(x, y)
  state_machine.wheelmoved(x, y)
end


