state_advance = newState({75/255, 75/255, 75/255, 0.35}, {175, 175/255, 0})

local title_y = 283
local title_font = love.graphics.newFont(80)
local title = ''

local message_y = 362
local message_color = {1, 0, 0}
local message_font = love.graphics.newFont(30)
local message_nwidth = 150 -- Negative Width from screen width
local message = ''

local menu = {}
local menu_y = 540
local menu_font = love.graphics.newFont(40)
local all_solved = false

function state_advance.load(params) -- 'All Solved' or 'Force Advance'
  all_solved = params.all_solved
  title = all_solved and 'WHACK WHIZ' or 'NEXT WORD'
  message = all_solved and 'You really know your stuff!' or 'Are you finished with this one?'

  menu = newMenu(menu_font, 3, state_advance.defcolor, {0, 0, 200/255, 0.68}, {100/255, 50/255, 0})
  
  if all_solved then
    menu.addButton('NEXT WORD', love.graphics.getWidth() / 2, menu_y,
      function()
        state_machine.change(state_play, params.score)
      end
    )
  else
    menu_y = 450
    menu.addButton('YES', 340, menu_y, function() state_machine.change(state_play, params.score) end)
    menu.addButton('NO', 450, menu_y, function() state_machine.pop() end)
  end
  score = params.score
end

function state_advance.draw()
  if not all_solved then
    love.graphics.setColor(0, 175/255, 175/255)
    love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), love.graphics.getHeight() - 100)
    love.graphics.setColor(state_advance.bgcolor)
    love.graphics.rectangle('fill', 0, love.graphics.getHeight() - 100, love.graphics.getWidth(), 100)
    
    love.graphics.setColor(1,1,1)
  else
    love.graphics.setColor(state_advance.bgcolor)
    love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
    
    local w = 300
    
    love.graphics.setColor(0, 0, 0, 0.5)
    love.graphics.rectangle('fill', (love.graphics.getWidth() / 2) - w, title_y - 10, w * 2, 310, 10, 10)
    
    love.graphics.setColor(state_advance.defcolor)
  end
  
  love.graphics.setFont(title_font)
  love.graphics.print({state_advance.defcolor, title}, (love.graphics.getWidth() / 2) - (title_font:getWidth(title) / 2), title_y)
    
  love.graphics.setFont(message_font)
  love.graphics.printf({message_color, message}, message_nwidth, message_y, love.graphics.getWidth() - (message_nwidth * 2), 'center')
  
  menu.draw()
end

function state_advance.keypressed(key)
  if key == 'return' or key == 'space' then
    menu.button_press()
  elseif key == 'up' or key == 'left' then
    menu.cycle_up()
  elseif key == 'down' or key == 'right' then
    menu.cycle_down()
  end
end
function state_advance.keyreleased(key)
  if key == 'return' or key == 'space' then
    menu.button_release()
  end
end

function state_advance.mousemoved(x, y, dx, dy)
  menu.mouse_over(x, y)
end
function state_advance.mousepressed(x, y, button)
  if button == 1 then menu.button_press() end
end
function state_advance.mousereleased(x, y, button)
  if button == 1 then menu.button_release() end
end
