state_pause = newState({0, 175/255, 175/255})

local title_y = 100
local title_font = love.graphics.newFont(80)
local title = ''

local message_y = 210
local message_font = love.graphics.newFont(30)
local message_nwidth = 150 -- Negative Width from screen width
local message = ''

local menu = {}
local menu_y = 340
local menu_font = love.graphics.newFont(40)

local bgcolor = {state_pause.bgcolor[1], state_pause.bgcolor[2], state_pause.bgcolor[3]}
table.insert(bgcolor, 0.25)

function state_pause.load(pause) -- 'Pause' or 'EXIT'
  menu = newMenu(menu_font, 3, nil, {50/255, 50/255, 50/255, 0.5})
  if pause then
    title = 'GAME PAUSED'
    message = ''
    menu.addButton('RESUME', love.graphics.getWidth() / 2, menu_y, function() state_machine.pop() end)
  else
    title = 'RESIGN'
    message = 'You scores will be null and void. Are you sure you want to resign?'
    menu.addButton('YES', 340, menu_y, function() state_machine.change(state_title) end)
    menu.addButton('NO', 450, menu_y, function() state_machine.pop() end)
  end
end

function state_pause.draw()
  love.graphics.setColor(state_pause.bgcolor)
  love.graphics.rectangle('fill', 0, 0, love.graphics.getWidth(), love.graphics.getHeight() - 100)
  love.graphics.setColor(bgcolor)
  love.graphics.rectangle('fill', 0, love.graphics.getHeight() - 100, love.graphics.getWidth(), 100)
  love.graphics.setColor(state_pause.defcolor)
  love.graphics.setFont(title_font)
  love.graphics.print(title, (love.graphics.getWidth() / 2) - (title_font:getWidth(title) / 2), title_y)
  love.graphics.setFont(message_font)
  love.graphics.printf(message, message_nwidth, message_y, love.graphics.getWidth() - (message_nwidth * 2), 'center')
  menu.draw()
end

function state_pause.keypressed(key)
  if key == 'enter' or key == 'space' then
    menu.button_press()
  elseif key == 'left' or 'up' then
    menu.cycle_up()
  elseif key == 'right' or 'down' then
    menu.cycle_down()
  end
end
function state_pause.keyreleased(key)
  if key == 'enter' or key == 'space' then
    menu.button_release()
  end
end

function state_pause.mousemoved(x, y, dx, dy)
  menu.mouse_over(x, y)
end
function state_pause.mousepressed(x, y, button)
  menu.button_press()
end
function state_pause.mousereleased(x, y, button)
  menu.button_release()
end
