state_title = newState({0, 175/255, 175/255})

-- The Title
local title_font = love.graphics.newFont(80)
local title_text = 'WORD WHACKER'

-- The Menu
local menu_font = love.graphics.newFont(30)
local menu = newMenu(menu_font, 4, nil, {50/255, 50/255, 50/255, 0.5})

menu.addButton('PLAY', love.graphics.getWidth() / 2, 300,
  function()
    state_machine.change(state_play)
  end
)
menu.addButton('HIGH SCORES', love.graphics.getWidth() / 2, 350,
  function()
    state_machine.change(state_highscores)
  end
)
menu.addButton('EXIT', love.graphics.getWidth() / 2, 400,
  function()
    love.event.quit()
  end
)

-- State Title Functions
function state_title.draw()
   love.graphics.setFont(title_font)
   love.graphics.print(title_text, (love.graphics.getWidth() / 2) - (title_font:getWidth(title_text) / 2), 50)
   
   menu.draw()
end

function state_title.keypressed(key)
  if key == 'up' or key == 'left' then
    menu.cycle_up()
  elseif key == 'down' or key == 'right' then
    menu.cycle_down()
  elseif key == 'return' or key == 'space' then
    menu.button_press()
  end
end
function state_title.keyreleased(key)
  if key == 'return' or key == 'space' then
    menu.button_release()
  end
end

function state_title.mousemoved(x, y, dx, dy)
  menu.mouse_over(x, y)
end
function state_title.mousepressed(x, y, button)
  if button == 1 then menu.button_press() end
end
function state_title.mousereleased(x, y, button)
  if button == 1 then menu.button_release() end
end
