local font = love.graphics.newFont('font/Bergen Mono Regular.otf', 30)

local minutes = 0
local seconds = 0
local counter = 1
local output = ''
local time_end = false
local x = (love.graphics.getWidth() / 2) - (font:getWidth('00:00') / 2)
local y = 470
local color
local tick = love.audio.newSource('sfx/timer_tick.mp3', 'static')

timer = {}

function timer.initialize()
  -- Original minutes and seconds
  minutes, seconds = 4, 0
  output = ''
  time_end = false
  color = {1, 1, 1}
end

function timer.update(dt)
  counter = counter - dt
  if counter <= 0 then
    counter = 1
    seconds = seconds - 1
    if seconds < 0 then
      minutes = minutes - 1
      seconds = 59
    end
    if minutes < 1 and seconds < 6 then
      tick:stop()
      tick:play()
    end
  end

  -- Change Color if less than 1 minute  
  if minutes < 1 then
    color = {1, 130/255, 50/255}
    if seconds < 6 then
      color = {1, 0, 0}
    end
  end

  if minutes < 1 and seconds < 1 then
    time_end = true
  end

  output = minutes .. ':'
  if seconds < 10 then
    output = output .. '0' .. seconds
  else
    output = output .. seconds
  end
  return time_end
end

function timer.draw()
  love.graphics.setFont(font)
  love.graphics.print({color, output}, x, y)
end
